# `taurus.core.util.event`

event.py:

Classes

class AttributeEventIterator(*attrs)

  Internal class. For test purposes

  (more info)

class AttributeEventWait(attr=None)

  Class designed to connect to a `taurus.core.taurusattribute.TaurusAttribute` and fire events or wait for a certain event.

  (more info)

class BoundMethodWeakref(bound_method, del_cb=None)

  This class represents a weak reference to a method of an object since weak references to methods don’t work by themselves

  (more info)

class ConfigEventGenerator(name, events_active=True)

  Manage configuration events

  (more info)

class EventGenerator(name, events_active=True)

  Base class capable of firing events

  (more info)

class EventListener

  A class that listens for an event with a specific value

  Note: Since this class stores for each event value the last timestamp when it occured, it should only be used for events for which the event value domain (possible values) is limited and well known (ex: an enum)

  (more info)

class ListEventGenerator(name, events_active=True)

  Manage list events, detecting changes in the list

  (more info)

Functions

CallableRef(object, del_cb=None)

  This function returns a callable weak reference to a callable object. Object can be a callable object, a function or a method.

  Parameters:

    - object (callable object) – a callable object

    - del_cb (callable object or None) – calback function. Default is None meaning to callback.

  Returns:

    a weak reference for the given callable

  Return type:

    taurus.core.util.BoundMethodWeakref or weakref.ref